[Fusionforge-commits] FusionForge branch 6.0 updated. v6.0.2-69-ge4a3db0

Sylvain Beucler beuc-inria at libremir.placard.fr.eu.org
Mon Sep 7 15:16:21 CEST 2015


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, 6.0 has been updated
       via  e4a3db02ee74d924992ace41bde66c97a72cab55 (commit)
       via  11b7538d59dc3ce30450680269e9f8ce0f3a9d0a (commit)
      from  d3b6321bbc7a061c750f14a618e180deb844f596 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=e4a3db02ee74d924992ace41bde66c97a72cab55

commit e4a3db02ee74d924992ace41bde66c97a72cab55
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Mon Sep 7 15:16:16 2015 +0200

    testsuite: moinmoin: restart (not reload) apache to avoid late WSGI socket change

diff --git a/src/plugins/moinmoin/cronjobs/create-wikis.php b/src/plugins/moinmoin/cronjobs/create-wikis.php
index 02817ac..da5ef46 100755
--- a/src/plugins/moinmoin/cronjobs/create-wikis.php
+++ b/src/plugins/moinmoin/cronjobs/create-wikis.php
@@ -67,7 +67,8 @@ while ( $row = db_fetch_array($project_res) ) {
 }
 
 if ($need_reload) {
-	system("invoke-rc.d apache2 reload");
+	// Using restart rather than reload, to avoid late WSGI socket changes during test suite
+	system("invoke-rc.d apache2 restart");
 }
 
 // Local Variables:
diff --git a/tests/func/60_PluginsMoinMoin/moinmoinTest.php b/tests/func/60_PluginsMoinMoin/moinmoinTest.php
index 266e1c9..53b8c62 100644
--- a/tests/func/60_PluginsMoinMoin/moinmoinTest.php
+++ b/tests/func/60_PluginsMoinMoin/moinmoinTest.php
@@ -46,10 +46,6 @@ class PluginMoinMoin extends FForge_SeleniumTestCase
 		$this->assertTrue($this->isTextPresent("Project information updated"));
 
 		$this->cron_for_plugin("create-wikis.php", "moinmoin");
-		// Attempt to debug "Unable to connect to WSGI daemon process" issues
-		sleep(5);
-		system("ls -lh --full-time /var/run/*/wsgi.*");
-		ob_flush();
 
 		$this->gotoProject('ProjectA');
 		$this->clickAndWait("link=MoinMoinWiki");

https://scm.fusionforge.org/anonscm/gitweb/?p=fusionforge/fusionforge.git;a=commitdiff;h=11b7538d59dc3ce30450680269e9f8ce0f3a9d0a

commit 11b7538d59dc3ce30450680269e9f8ce0f3a9d0a
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Mon Sep 7 15:15:41 2015 +0200

    testsuite: clarify methods to run a single test

diff --git a/tests/func_tests.sh b/tests/func_tests.sh
index 687c4b9..6f9d69f 100755
--- a/tests/func_tests.sh
+++ b/tests/func_tests.sh
@@ -179,11 +179,15 @@ echo "Running PHPunit tests"
 retcode=0
 set -x
 cd $(dirname $0)/
-if [ "$*" = "" ] ; then
-    phpunit --verbose --debug --stop-on-failure --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml func_tests.php || retcode=$?
-else
-    phpunit --verbose --debug --stop-on-failure --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml "$@" || retcode=$?
+# Override test through parameter, useful when launching tests through buildbot/*.sh (e.g. SSH)
+# Use the TESTGLOB environment variable otherwise
+testname="func_tests.php"
+if [ -n "$1" ] ; then
+    testname="$1"
 fi
+
+phpunit --verbose --debug --stop-on-failure --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml $testname || retcode=$?
+
 set +x
 echo "phpunit returned with code $retcode"
 

-----------------------------------------------------------------------

Summary of changes:
 src/plugins/moinmoin/cronjobs/create-wikis.php |  3 ++-
 tests/func/60_PluginsMoinMoin/moinmoinTest.php |  4 ----
 tests/func_tests.sh                            | 12 ++++++++----
 3 files changed, 10 insertions(+), 9 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list